% Time-stamp: </mab_home1/wrf/r/matlab/interp/dogrids.m, Thu,  9 Jul 1998, 17:34:51 EDT, wrf@mab.ecse.rpi.edu>

% Do several griddata interps and plot them.

wi = gridsol(Z,'invdist');
wl = gridsol(Z,'linear');
wc = gridsol(Z,'cubic');
wn = gridsol(Z,'nearest');


subplot(2,2,1)
surfc(wi);
title('Inverse distance')
axis([0 50 0 50 0 50])

subplot(2,2,2)
surfc(wl);
title('Delaunay tri, linear interp')
axis([0 50 0 50 0 50])

subplot(2,2,3)
surfc(wc);
title('Delaunay tri, cubic interp')
axis([0 50 0 50 0 50])

subplot(2,2,4)
surfc(wn);
title('Delaunay tri, nearest neighbor')
axis([0 50 0 50 0 50])


print -depsc2 squareinterp.ps
